QGIS Application - Bug report #19109
[Diagrams] Show diagram data-defined option seems broken
2018-06-04 06:47 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Diagrams

Affected QGIS version:3.1(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26939
Description

In the layer properties dialog, Diagrams --> Rendering tab, if | apply to the "Show diagram” data-defined widget the following expression
"CODE_DEPT" = '52' it show the diagram for the corresponding feature.
But if | write "CODE_DEPT" > '52' it shows all features diagrams even those that do not fill the condition.

Moreover, | must admit that | fail to understand the subtlety between this option and the one next to it, ie "Always show" (which, btw does
not seem to return expected result neither).

Associated revisions

Revision b1c89496 - 2018-06-08 03:43 AM - Nyall Dawson

Fix data defined show diagram setting does not always work

Fixes #19109

Revision 44444281 - 2018-06-08 03:43 AM - Nyall Dawson

Add some tooltips to diagram show properties

Refs #19109

History

#1 - 2018-06-08 03:43 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|b1c894969e5ec7956a06cef6e5f009d752177777.
